<?php

namespace CmBundle\Entity;

use Doctrine\ORM\Mapping as ORM;

/**
 * PagosRapidos
 *
 * @ORM\Table(name="pagos_rapidos", indexes={@ORM\Index(name="cve_pla", columns={"cve_pla"}), @ORM\Index(name="cve_ban", columns={"cve_ban"}), @ORM\Index(name="cve_ban_dos", columns={"cve_ban_dos"}), @ORM\Index(name="cve_ban_tres", columns={"cve_ban_tres"})})
 * @ORM\Entity
 */
class PagosRapidos
{
    /**
     * @var integer
     *
     * @ORM\Column(name="ide_pag_rap", type="integer", nullable=false)
     * @ORM\Id
     * @ORM\GeneratedValue(strategy="IDENTITY")
     */
    private $idePagRap;

    /**
     * @var string
     *
     * @ORM\Column(name="num_recibo", type="string", length=20, nullable=false)
     */
    private $numRecibo;

    /**
     * @var string
     *
     * @ORM\Column(name="mon_tot", type="decimal", precision=10, scale=2, nullable=true)
     */
    private $monTot = '0.00';

    /**
     * @var integer
     *
     * @ORM\Column(name="tip_pag", type="integer", nullable=false)
     */
    private $tipPag;

    /**
     * @var string
     *
     * @ORM\Column(name="ref_pag", type="string", length=250, nullable=false)
     */
    private $refPag;

    /**
     * @var \DateTime
     *
     * @ORM\Column(name="fec_pag", type="date", nullable=true)
     */
    private $fecPag = 'NULL';

    /**
     * @var string
     *
     * @ORM\Column(name="pag_uno", type="decimal", precision=10, scale=2, nullable=true)
     */
    private $pagUno = '0.00';

    /**
     * @var integer
     *
     * @ORM\Column(name="tip_pag_dos", type="integer", nullable=true)
     */
    private $tipPagDos = 'NULL';

    /**
     * @var string
     *
     * @ORM\Column(name="ref_pag_dos", type="string", length=250, nullable=true)
     */
    private $refPagDos = 'NULL';

    /**
     * @var \DateTime
     *
     * @ORM\Column(name="fec_pag_dos", type="date", nullable=true)
     */
    private $fecPagDos = 'NULL';

    /**
     * @var string
     *
     * @ORM\Column(name="pag_dos", type="decimal", precision=10, scale=2, nullable=true)
     */
    private $pagDos = '0.00';

    /**
     * @var integer
     *
     * @ORM\Column(name="tip_pag_tres", type="integer", nullable=true)
     */
    private $tipPagTres = 'NULL';

    /**
     * @var string
     *
     * @ORM\Column(name="ref_pag_tres", type="string", length=250, nullable=true)
     */
    private $refPagTres = 'NULL';

    /**
     * @var \DateTime
     *
     * @ORM\Column(name="fec_pag_tres", type="date", nullable=true)
     */
    private $fecPagTres = 'NULL';

    /**
     * @var string
     *
     * @ORM\Column(name="pag_tres", type="decimal", precision=10, scale=2, nullable=true)
     */
    private $pagTres = '0.00';

    /**
     * @var string
     *
     * @ORM\Column(name="des_pag", type="string", length=500, nullable=false)
     */
    private $desPag;

    /**
     * @var string
     *
     * @ORM\Column(name="entrega", type="string", length=500, nullable=false)
     */
    private $entrega;

    /**
     * @var string
     *
     * @ORM\Column(name="recibe", type="string", length=500, nullable=false)
     */
    private $recibe;

    /**
     * @var string
     *
     * @ORM\Column(name="img_uno", type="string", length=250, nullable=true)
     */
    private $imgUno = 'NULL';

    /**
     * @var string
     *
     * @ORM\Column(name="img_dos", type="string", length=250, nullable=true)
     */
    private $imgDos = 'NULL';

    /**
     * @var string
     *
     * @ORM\Column(name="img_tres", type="string", length=250, nullable=true)
     */
    private $imgTres = 'NULL';

    /**
     * @var integer
     *
     * @ORM\Column(name="enfermeria", type="integer", nullable=true)
     */
    private $enfermeria = '0';

    /**
     * @var \DateTime
     *
     * @ORM\Column(name="fec_mov", type="date", nullable=false)
     */
    private $fecMov;

    /**
     * @var \DateTime
     *
     * @ORM\Column(name="hor_mov", type="time", nullable=false)
     */
    private $horMov;

    /**
     * @var string
     *
     * @ORM\Column(name="cve_usu", type="string", length=50, nullable=false)
     */
    private $cveUsu;

    /**
     * @var \Planteles
     *
     * @ORM\ManyToOne(targetEntity="Planteles")
     * @ORM\JoinColumns({
     *   @ORM\JoinColumn(name="cve_pla", referencedColumnName="ide_pla")
     * })
     */
    private $cvePla;

    /**
     * @var \Bancos
     *
     * @ORM\ManyToOne(targetEntity="Bancos")
     * @ORM\JoinColumns({
     *   @ORM\JoinColumn(name="cve_ban", referencedColumnName="ide_ban")
     * })
     */
    private $cveBan;

    /**
     * @var \Bancos
     *
     * @ORM\ManyToOne(targetEntity="Bancos")
     * @ORM\JoinColumns({
     *   @ORM\JoinColumn(name="cve_ban_dos", referencedColumnName="ide_ban")
     * })
     */
    private $cveBanDos;

    /**
     * @var \Bancos
     *
     * @ORM\ManyToOne(targetEntity="Bancos")
     * @ORM\JoinColumns({
     *   @ORM\JoinColumn(name="cve_ban_tres", referencedColumnName="ide_ban")
     * })
     */
    private $cveBanTres;



    /**
     * Get idePagRap
     *
     * @return integer
     */
    public function getIdePagRap()
    {
        return $this->idePagRap;
    }

    /**
     * Set numRecibo
     *
     * @param string $numRecibo
     *
     * @return PagosRapidos
     */
    public function setNumRecibo($numRecibo)
    {
        $this->numRecibo = $numRecibo;
    
        return $this;
    }

    /**
     * Get numRecibo
     *
     * @return string
     */
    public function getNumRecibo()
    {
        return $this->numRecibo;
    }

    /**
     * Set monTot
     *
     * @param string $monTot
     *
     * @return PagosRapidos
     */
    public function setMonTot($monTot)
    {
        $this->monTot = $monTot;
    
        return $this;
    }

    /**
     * Get monTot
     *
     * @return string
     */
    public function getMonTot()
    {
        return $this->monTot;
    }

    /**
     * Set tipPag
     *
     * @param integer $tipPag
     *
     * @return PagosRapidos
     */
    public function setTipPag($tipPag)
    {
        $this->tipPag = $tipPag;
    
        return $this;
    }

    /**
     * Get tipPag
     *
     * @return integer
     */
    public function getTipPag()
    {
        return $this->tipPag;
    }

    /**
     * Set refPag
     *
     * @param string $refPag
     *
     * @return PagosRapidos
     */
    public function setRefPag($refPag)
    {
        $this->refPag = $refPag;
    
        return $this;
    }

    /**
     * Get refPag
     *
     * @return string
     */
    public function getRefPag()
    {
        return $this->refPag;
    }

    /**
     * Set fecPag
     *
     * @param \DateTime $fecPag
     *
     * @return PagosRapidos
     */
    public function setFecPag($fecPag)
    {
        $this->fecPag = $fecPag;
    
        return $this;
    }

    /**
     * Get fecPag
     *
     * @return \DateTime
     */
    public function getFecPag()
    {
        return $this->fecPag;
    }

    /**
     * Set pagUno
     *
     * @param string $pagUno
     *
     * @return PagosRapidos
     */
    public function setPagUno($pagUno)
    {
        $this->pagUno = $pagUno;
    
        return $this;
    }

    /**
     * Get pagUno
     *
     * @return string
     */
    public function getPagUno()
    {
        return $this->pagUno;
    }

    /**
     * Set tipPagDos
     *
     * @param integer $tipPagDos
     *
     * @return PagosRapidos
     */
    public function setTipPagDos($tipPagDos)
    {
        $this->tipPagDos = $tipPagDos;
    
        return $this;
    }

    /**
     * Get tipPagDos
     *
     * @return integer
     */
    public function getTipPagDos()
    {
        return $this->tipPagDos;
    }

    /**
     * Set refPagDos
     *
     * @param string $refPagDos
     *
     * @return PagosRapidos
     */
    public function setRefPagDos($refPagDos)
    {
        $this->refPagDos = $refPagDos;
    
        return $this;
    }

    /**
     * Get refPagDos
     *
     * @return string
     */
    public function getRefPagDos()
    {
        return $this->refPagDos;
    }

    /**
     * Set fecPagDos
     *
     * @param \DateTime $fecPagDos
     *
     * @return PagosRapidos
     */
    public function setFecPagDos($fecPagDos)
    {
        $this->fecPagDos = $fecPagDos;
    
        return $this;
    }

    /**
     * Get fecPagDos
     *
     * @return \DateTime
     */
    public function getFecPagDos()
    {
        return $this->fecPagDos;
    }

    /**
     * Set pagDos
     *
     * @param string $pagDos
     *
     * @return PagosRapidos
     */
    public function setPagDos($pagDos)
    {
        $this->pagDos = $pagDos;
    
        return $this;
    }

    /**
     * Get pagDos
     *
     * @return string
     */
    public function getPagDos()
    {
        return $this->pagDos;
    }

    /**
     * Set tipPagTres
     *
     * @param integer $tipPagTres
     *
     * @return PagosRapidos
     */
    public function setTipPagTres($tipPagTres)
    {
        $this->tipPagTres = $tipPagTres;
    
        return $this;
    }

    /**
     * Get tipPagTres
     *
     * @return integer
     */
    public function getTipPagTres()
    {
        return $this->tipPagTres;
    }

    /**
     * Set refPagTres
     *
     * @param string $refPagTres
     *
     * @return PagosRapidos
     */
    public function setRefPagTres($refPagTres)
    {
        $this->refPagTres = $refPagTres;
    
        return $this;
    }

    /**
     * Get refPagTres
     *
     * @return string
     */
    public function getRefPagTres()
    {
        return $this->refPagTres;
    }

    /**
     * Set fecPagTres
     *
     * @param \DateTime $fecPagTres
     *
     * @return PagosRapidos
     */
    public function setFecPagTres($fecPagTres)
    {
        $this->fecPagTres = $fecPagTres;
    
        return $this;
    }

    /**
     * Get fecPagTres
     *
     * @return \DateTime
     */
    public function getFecPagTres()
    {
        return $this->fecPagTres;
    }

    /**
     * Set pagTres
     *
     * @param string $pagTres
     *
     * @return PagosRapidos
     */
    public function setPagTres($pagTres)
    {
        $this->pagTres = $pagTres;
    
        return $this;
    }

    /**
     * Get pagTres
     *
     * @return string
     */
    public function getPagTres()
    {
        return $this->pagTres;
    }

    /**
     * Set desPag
     *
     * @param string $desPag
     *
     * @return PagosRapidos
     */
    public function setDesPag($desPag)
    {
        $this->desPag = $desPag;
    
        return $this;
    }

    /**
     * Get desPag
     *
     * @return string
     */
    public function getDesPag()
    {
        return $this->desPag;
    }

    /**
     * Set entrega
     *
     * @param string $entrega
     *
     * @return PagosRapidos
     */
    public function setEntrega($entrega)
    {
        $this->entrega = $entrega;
    
        return $this;
    }

    /**
     * Get entrega
     *
     * @return string
     */
    public function getEntrega()
    {
        return $this->entrega;
    }

    /**
     * Set recibe
     *
     * @param string $recibe
     *
     * @return PagosRapidos
     */
    public function setRecibe($recibe)
    {
        $this->recibe = $recibe;
    
        return $this;
    }

    /**
     * Get recibe
     *
     * @return string
     */
    public function getRecibe()
    {
        return $this->recibe;
    }

    /**
     * Set imgUno
     *
     * @param string $imgUno
     *
     * @return PagosRapidos
     */
    public function setImgUno($imgUno)
    {
        $this->imgUno = $imgUno;
    
        return $this;
    }

    /**
     * Get imgUno
     *
     * @return string
     */
    public function getImgUno()
    {
        return $this->imgUno;
    }

    /**
     * Set imgDos
     *
     * @param string $imgDos
     *
     * @return PagosRapidos
     */
    public function setImgDos($imgDos)
    {
        $this->imgDos = $imgDos;
    
        return $this;
    }

    /**
     * Get imgDos
     *
     * @return string
     */
    public function getImgDos()
    {
        return $this->imgDos;
    }

    /**
     * Set imgTres
     *
     * @param string $imgTres
     *
     * @return PagosRapidos
     */
    public function setImgTres($imgTres)
    {
        $this->imgTres = $imgTres;
    
        return $this;
    }

    /**
     * Get imgTres
     *
     * @return string
     */
    public function getImgTres()
    {
        return $this->imgTres;
    }

    /**
     * Set enfermeria
     *
     * @param integer $enfermeria
     *
     * @return PagosRapidos
     */
    public function setEnfermeria($enfermeria)
    {
        $this->enfermeria = $enfermeria;
    
        return $this;
    }

    /**
     * Get enfermeria
     *
     * @return integer
     */
    public function getEnfermeria()
    {
        return $this->enfermeria;
    }

    /**
     * Set fecMov
     *
     * @param \DateTime $fecMov
     *
     * @return PagosRapidos
     */
    public function setFecMov($fecMov)
    {
        $this->fecMov = $fecMov;
    
        return $this;
    }

    /**
     * Get fecMov
     *
     * @return \DateTime
     */
    public function getFecMov()
    {
        return $this->fecMov;
    }

    /**
     * Set horMov
     *
     * @param \DateTime $horMov
     *
     * @return PagosRapidos
     */
    public function setHorMov($horMov)
    {
        $this->horMov = $horMov;
    
        return $this;
    }

    /**
     * Get horMov
     *
     * @return \DateTime
     */
    public function getHorMov()
    {
        return $this->horMov;
    }

    /**
     * Set cveUsu
     *
     * @param string $cveUsu
     *
     * @return PagosRapidos
     */
    public function setCveUsu($cveUsu)
    {
        $this->cveUsu = $cveUsu;
    
        return $this;
    }

    /**
     * Get cveUsu
     *
     * @return string
     */
    public function getCveUsu()
    {
        return $this->cveUsu;
    }

    /**
     * Set cvePla
     *
     * @param \CmBundle\Entity\Planteles $cvePla
     *
     * @return PagosRapidos
     */
    public function setCvePla(\CmBundle\Entity\Planteles $cvePla = null)
    {
        $this->cvePla = $cvePla;
    
        return $this;
    }

    /**
     * Get cvePla
     *
     * @return \CmBundle\Entity\Planteles
     */
    public function getCvePla()
    {
        return $this->cvePla;
    }

    /**
     * Set cveBan
     *
     * @param \CmBundle\Entity\Bancos $cveBan
     *
     * @return PagosRapidos
     */
    public function setCveBan(\CmBundle\Entity\Bancos $cveBan = null)
    {
        $this->cveBan = $cveBan;
    
        return $this;
    }

    /**
     * Get cveBan
     *
     * @return \CmBundle\Entity\Bancos
     */
    public function getCveBan()
    {
        return $this->cveBan;
    }

    /**
     * Set cveBanDos
     *
     * @param \CmBundle\Entity\Bancos $cveBanDos
     *
     * @return PagosRapidos
     */
    public function setCveBanDos(\CmBundle\Entity\Bancos $cveBanDos = null)
    {
        $this->cveBanDos = $cveBanDos;
    
        return $this;
    }

    /**
     * Get cveBanDos
     *
     * @return \CmBundle\Entity\Bancos
     */
    public function getCveBanDos()
    {
        return $this->cveBanDos;
    }

    /**
     * Set cveBanTres
     *
     * @param \CmBundle\Entity\Bancos $cveBanTres
     *
     * @return PagosRapidos
     */
    public function setCveBanTres(\CmBundle\Entity\Bancos $cveBanTres = null)
    {
        $this->cveBanTres = $cveBanTres;
    
        return $this;
    }

    /**
     * Get cveBanTres
     *
     * @return \CmBundle\Entity\Bancos
     */
    public function getCveBanTres()
    {
        return $this->cveBanTres;
    }
}
